/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package inventario.facade.remote;

import inventario.entity.Item;
import java.util.List;
import javax.ejb.Remote;

/**
 *
 * @author Daniel
 */
@Remote
public interface ItemFacadeRemote {

    void create(Item item);

    void edit(Item item);

    void remove(Item item);

    Item find(Object id);

    List<Item> findAll();
    
    List<Item> findByCategory(Long cat);

    List<Item> findByName(String cat);
}
